Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.endpoint
Class MuleEndpointURI

    java.lang.Object
      org.mule.endpoint.MuleEndpointURI

All Implemented Interfaces:
  Serializable, EndpointURI, Initialisable

    public class MuleEndpointURI

extends Object
implements EndpointURI

`MuleEndpointURI` is used to determine how a message is sent of received. The url defines the protocol, the endpointUri destination of the message and optionally the endpoint to use when dispatching the event. Mule urls take the form of - protocol://[host]:[port]/[provider]/endpointUri or protocol://[host]:[port]/endpointUri i.e. vm:///my.object or The protocol can be any of any connector registered with Mule. The endpoint name if specified must be the name of a register global endpoint The endpointUri can be any endpointUri recognised by the endpoint type.

See Also:
  Serialized Form

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from interface org.mule.api.endpoint.EndpointURI
`PROPERTY_CONNECTOR_NAME, PROPERTY_ENDPOINT_NAME, PROPERTY_ENDPOINT_URI, PROPERTY_RESPONSE_TRANSFORMERS, PROPERTY_TRANSFORMERS`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`MuleEndpointURI(EndpointURI endpointUri)`
`MuleEndpointURI(EndpointURI endpointUri, String filterAddress)`
`MuleEndpointURI(String uri, MuleContext muleContext)` Creates but does not initialize the endpoint URI.
`MuleEndpointURI(String address, String endpointName, String connectorName, String transformers, String responseTransformers, Properties properties, URI uri, MuleContext muleContext)`

Method Summary
`boolean` | `equals(Object o)`
`String` | `getAddress()`
`String` | `getAuthority()`
`String` | `getConnectorName()`
`String` | `getEndpointName()`
`String` | `getFilterAddress()`
`String` | `getFragment()`
`String` | `getFullScheme()`
`String` | `getHost()`
`MuleContext` | `getMuleContext()`
`Properties` | `getParams()`
`String` | `getPassword()`
`String` | `getPath()`
`int` | `getPort()`
`String` | `getQuery()`
`String` | `getRawAuthority()`
`String` | `getRawFragment()`
`String` | `getRawPath()`
`String` | `getRawQuery()`
`String` | `getRawSchemeSpecificPart()`
`String` | `getRawUserInfo()`
`String` | `getResourceInfo()`
`String` | `getResponseTransformers()`
`String` | `getScheme()`
`String` | `getSchemeMetaInfo()`
`String` | `getSchemeSpecificPart()`
`String` | `getTransformers()`
`URI` | `getUri()`
`String` | `getUser()`
`String` | `getUserInfo()`
`Properties` | `getUserParams()` A reduced version of getParams() - drops some system parameters
`int` | `hashCode()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isAbsolute()`
`static boolean` | `isMuleUri(String url)`
`boolean` | `isOpaque()`
`URI` | `normalize()`
`URI` | `parseServerAuthority()`
`URI` | `relativize(URI uri)`
`URI` | `resolve(String str)`
`URI` | `resolve(URI uri)`
`String` | `toString()`
`protected boolean` | `validateUrl(String url)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### MuleEndpointURI

    public MuleEndpointURI(String address,
                           String endpointName,
                           String connectorName,
                           String transformers,
                           String responseTransformers,
                           Properties properties,
                           URI uri,
                           MuleContext muleContext)

### MuleEndpointURI

    public MuleEndpointURI(EndpointURI endpointUri)

### MuleEndpointURI

    public MuleEndpointURI(EndpointURI endpointUri,
                           String filterAddress)

### MuleEndpointURI

    public MuleEndpointURI(String uri,
                           MuleContext muleContext)
                    throws EndpointException

  Creates but does not initialize the endpoint URI. It is up to the caller to call initialise() at some point.

  Throws:
    `EndpointException`

Method Detail

### isMuleUri

    public static boolean isMuleUri(String url)

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Specified by:
    `initialise` in interface `Initialisable`
  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### validateUrl

    protected boolean validateUrl(String url)

### getAddress

    public String getAddress()

  Specified by:
    `getAddress` in interface `EndpointURI`

### getEndpointName

    public String getEndpointName()

  Specified by:
    `getEndpointName` in interface `EndpointURI`

### getParams

    public Properties getParams()

  Specified by:
    `getParams` in interface `EndpointURI`

### getUserParams

    public Properties getUserParams()

  Description copied from interface: `EndpointURI`
  A reduced version of getParams() - drops some system parameters

  Specified by:
    `getUserParams` in interface `EndpointURI`

### parseServerAuthority

    public URI parseServerAuthority()
                             throws URISyntaxException

  Throws:
    `URISyntaxException`

### normalize

    public URI normalize()

### resolve

    public URI resolve(URI uri)

### resolve

    public URI resolve(String str)

### relativize

    public URI relativize(URI uri)

### getScheme

    public String getScheme()

  Specified by:
    `getScheme` in interface `EndpointURI`

### getFullScheme

    public String getFullScheme()

  Specified by:
    `getFullScheme` in interface `EndpointURI`

### isAbsolute

    public boolean isAbsolute()

### isOpaque

    public boolean isOpaque()

### getRawSchemeSpecificPart

    public String getRawSchemeSpecificPart()

### getSchemeSpecificPart

    public String getSchemeSpecificPart()

### getRawAuthority

    public String getRawAuthority()

### getAuthority

    public String getAuthority()

  Specified by:
    `getAuthority` in interface `EndpointURI`

### getRawUserInfo

    public String getRawUserInfo()

### getUserInfo

    public String getUserInfo()

  Specified by:
    `getUserInfo` in interface `EndpointURI`

### getHost

    public String getHost()

  Specified by:
    `getHost` in interface `EndpointURI`

### getPort

    public int getPort()

  Specified by:
    `getPort` in interface `EndpointURI`

### getRawPath

    public String getRawPath()

### getPath

    public String getPath()

  Specified by:
    `getPath` in interface `EndpointURI`

### getRawQuery

    public String getRawQuery()

### getQuery

    public String getQuery()

  Specified by:
    `getQuery` in interface `EndpointURI`

### getRawFragment

    public String getRawFragment()

### getFragment

    public String getFragment()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getTransformers

    public String getTransformers()

  Specified by:
    `getTransformers` in interface `EndpointURI`

### getUri

    public URI getUri()

  Specified by:
    `getUri` in interface `EndpointURI`

### getConnectorName

    public String getConnectorName()

  Specified by:
    `getConnectorName` in interface `EndpointURI`

### getSchemeMetaInfo

    public String getSchemeMetaInfo()

  Specified by:
    `getSchemeMetaInfo` in interface `EndpointURI`

### getResourceInfo

    public String getResourceInfo()

  Specified by:
    `getResourceInfo` in interface `EndpointURI`

### getFilterAddress

    public String getFilterAddress()

  Specified by:
    `getFilterAddress` in interface `EndpointURI`

### getUser

    public String getUser()

  Specified by:
    `getUser` in interface `EndpointURI`

### getResponseTransformers

    public String getResponseTransformers()

  Specified by:
    `getResponseTransformers` in interface `EndpointURI`

### getPassword

    public String getPassword()

  Specified by:
    `getPassword` in interface `EndpointURI`

### getMuleContext

    public MuleContext getMuleContext()

  Specified by:
    `getMuleContext` in interface `EndpointURI`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.